Skip to content
Start here

List hostname routes

client.zeroTrust.networks.hostnameRoutes.list(HostnameRouteListParams { account_id, id, comment, 6 more } params, RequestOptionsoptions?): V4PagePaginationArray<HostnameRoute { id, comment, created_at, 4 more } >
GET/accounts/{account_id}/zerotrust/routes/hostname

Lists and filters hostname routes in an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare One Networks WriteCloudflare One Networks ReadCloudflare Tunnel WriteCloudflare Tunnel Read
ParametersExpand Collapse
params: HostnameRouteListParams { account_id, id, comment, 6 more }
account_id: string

Path param: Cloudflare account ID

maxLength32
id?: string

Query param: The hostname route ID.

formatuuid
comment?: string

Query param: If set, only list hostname routes with the given comment.

existed_at?: string

Query param: If provided, include only resources that were created (and not deleted) before this time. URL encoded.

formaturl-encoded-date-time
hostname?: string

Query param: If set, only list hostname routes that contain a substring of the given value, the filter is case-insensitive.

is_deleted?: boolean

Query param: If true, only return deleted hostname routes. If false, exclude deleted hostname routes.

page?: number

Query param: Page number of paginated results.

minimum1
per_page?: number

Query param: Number of results to display.

maximum1000
minimum1
tunnel_id?: string

Query param: If set, only list hostname routes that point to a specific tunnel.

formatuuid
maxLength36
ReturnsExpand Collapse
HostnameRoute { id, comment, created_at, 4 more }
id?: string

The hostname route ID.

formatuuid
comment?: string

An optional description of the hostname route.

created_at?: string

Timestamp of when the resource was created.

formatdate-time
deleted_at?: string

Timestamp of when the resource was deleted. If null, the resource has not been deleted.

formatdate-time
hostname?: string

The hostname of the route.

tunnel_id?: string

UUID of the tunnel.

formatuuid
maxLength36
tunnel_name?: string

A user-friendly name for a tunnel.

List hostname routes

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const hostnameRoute of client.zeroTrust.networks.hostnameRoutes.list({
  account_id: '699d98642c564d2e855e9661899b7252',
})) {
  console.log(hostnameRoute.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "comment": "example comment",
      "created_at": "2021-01-25T18:22:34.317854Z",
      "deleted_at": "2009-11-10T23:00:00.000000Z",
      "hostname": "office-1.local",
      "tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "tunnel_name": "api-tunnel"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "comment": "example comment",
      "created_at": "2021-01-25T18:22:34.317854Z",
      "deleted_at": "2009-11-10T23:00:00.000000Z",
      "hostname": "office-1.local",
      "tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "tunnel_name": "api-tunnel"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}